QGIS Application - Bug report #18183
QGIS 3: SAGA "output extent" should not be mandatory
2018-02-23 11:23 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:3.0.0 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26074
Description

It isn't mandatory in QGIS <=2.18.

Moreover it seems that if choosing an output extent, for example using one of inputs extents, then the xmin/xmax ymin/ymax coordinates
are not correctly sorted, needing to move the third value to the second place.

Associated revisions

Revision 23172a10 - 2018-03-10 10:08 PM - Salvatore Larosa

[processing] Fixes #18183: SAGA "output extent" should not be mandatory

Revision 88e8acdd - 2018-03-13 07:45 AM - Alexander Bruy

Merge pull request #6571 from slarosa/fix_18183

[processing] SAGA "output extent" should not be mandatory (fix #18183)

History

#1 - 2018-02-23 01:14 PM - Giovanni Manghi
- Subject changed from QGIS master: SAGA "output extent” should not be mandatory to QGIS 3: SAGA "output extent" should not be mandatory

#2 - 2018-02-23 01:14 PM - Giovanni Manghi
- Affected QGIS version changed from master to 3.0.0

#3 - 2018-03-04 12:30 PM - Jean Hemmi

The problem is on under 3.0.0-Girona 001c80b0c3

#4 - 2018-03-06 01:46 PM - Victor Olaya

Which algorithm are you trying?

The extent params are not optional by the default. They should be in most cases (but not in others like the "Create graticule" algorithm), so it makes sense
to change that

However, i am not seeing the wrong behaviour of extents that you mention. It works fine here if using the extent from a layer. The coords are written
xmin,xmax,ymin,ymax, and that's the order in which they are described in the algorithms (unless it is wrongly declared in the one you are trying)

#5 - 2018-03-08 12:44 AM - Giovanni Manghi

Victor Olaya wrote:

Which algorithm are you trying?

The extent params are not optional by the default. They should be in most cases (but not in others like the "Create graticule" algorithm), so it makes
sense to change that

However, i am not seeing the wrong behaviour of extents that you mention. It works fine here if using the extent from a layer. The coords are written

xmin,xmax,ymin,ymax, and that's the order in which they are described in the algorithms (unless it is wrongly declared in the one you are trying)

| was trying "universal kriging". The "outout extent" parameter is not mandatory for the same tool in 2.18. Maybe other SAGA tools are affected.

#6 - 2018-03-09 02:51 PM - Brad Kanther
- File saga-mosaic1.jpg added
- File saga-mosaic2.jpg added
- File saga-mosaic3.jpg added

| also noticed this using "Mosaic Raster Layers". Usually you get the [Leave Blank to use min covering extent] in grey text. This doesn't seem to be an
option even in 3.0.

See screenies below. Maybe installation error?
#7 - 2018-03-13 07:45 AM - Salvatore Larosa
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|23172a101eb7a57be9b16dd5836a003ca91ed78c.

Files

saga-mosaic2.jpg 34.5 KB 2018-03-09 Brad Kanther

saga-mosaic3.jpg 7.95 KB 2018-03-09 Brad Kanther

saga-mosaic1.jpg 149 KB 2018-03-09 Brad Kanther
